Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/FloatExpressionTests.cs	(revision 14908)
@@ -23,5 +23,5 @@
       get
       {
-        return this.interpreter.FloatStack;
+        return interpreter.FloatStack;
       }
     }
@@ -32,10 +32,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestAdd() {
-      this.interpreter.FloatStack.Push(5.3, 5.3);
-      this.interpreter.Run(new FloatAddExpression());
-
-      Assert.AreEqual(10.6, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(5.3, 5.3);
+      interpreter.Run(new FloatAddExpression());
+
+      Assert.AreEqual(10.6, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -45,5 +45,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestAddWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("+", 1);
+      TestWithInsufficientArguments("+", 1);
     }
 
@@ -53,10 +53,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestSubtract() {
-      this.interpreter.FloatStack.Push(10.2, 5.3);
-      this.interpreter.Run(new FloatSubtractExpression());
-
-      Assert.AreEqual(4.9, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(10.2, 5.3);
+      interpreter.Run(new FloatSubtractExpression());
+
+      Assert.AreEqual(4.9, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -66,5 +66,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestSubractWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("-", 1);
+      TestWithInsufficientArguments("-", 1);
     }
 
@@ -74,10 +74,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestMultiply() {
-      this.interpreter.FloatStack.Push(9.9, 3.3);
-      this.interpreter.Run(new FloatMultiplyExpression());
-
-      Assert.AreEqual(32.67, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(9.9, 3.3);
+      interpreter.Run(new FloatMultiplyExpression());
+
+      Assert.AreEqual(32.67, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -87,5 +87,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestMultiplyWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("*", 1);
+      TestWithInsufficientArguments("*", 1);
     }
 
@@ -95,10 +95,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestDivide() {
-      this.interpreter.FloatStack.Push(9.9, 3.3);
-      this.interpreter.Run(new FloatDivideExpression());
-
-      Assert.AreEqual(3.0, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(9.9, 3.3);
+      interpreter.Run(new FloatDivideExpression());
+
+      Assert.AreEqual(3.0, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -108,5 +108,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestDivideWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("/", 1);
+      TestWithInsufficientArguments("/", 1);
     }
 
@@ -116,10 +116,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestModulo() {
-      this.interpreter.FloatStack.Push(11.6, 5.3);
-      this.interpreter.Run(new FloatModuloExpression());
-
-      Assert.AreEqual(1, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(11.6, 5.3);
+      interpreter.Run(new FloatModuloExpression());
+
+      Assert.AreEqual(1, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -129,5 +129,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestModuloWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("%", 1);
+      TestWithInsufficientArguments("%", 1);
     }
 
@@ -137,10 +137,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestMin() {
-      this.interpreter.FloatStack.Push(10.2, 5.3);
-      this.interpreter.Run(new FloatMinExpression());
-
-      Assert.AreEqual(5.3, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(10.2, 5.3);
+      interpreter.Run(new FloatMinExpression());
+
+      Assert.AreEqual(5.3, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -150,5 +150,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestMinWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("MIN", 1);
+      TestWithInsufficientArguments("MIN", 1);
     }
 
@@ -158,10 +158,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestMax() {
-      this.interpreter.FloatStack.Push(10.3, 5.3);
-      this.interpreter.Run(new FloatMaxExpression());
-
-      Assert.AreEqual(10.3, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(10.3, 5.3);
+      interpreter.Run(new FloatMaxExpression());
+
+      Assert.AreEqual(10.3, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -171,5 +171,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestMaxWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("MAX", 1);
+      TestWithInsufficientArguments("MAX", 1);
     }
 
@@ -179,10 +179,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestSmallerThan() {
-      this.interpreter.FloatStack.Push(10.2, 5.3);
-      this.interpreter.Run(new FloatSmallerThanExpression());
-
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
-
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.FloatStack.Push(10.2, 5.3);
+      interpreter.Run(new FloatSmallerThanExpression());
+
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
+
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -192,5 +192,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestSmallerThanWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("<", 1);
+      TestWithInsufficientArguments("<", 1);
     }
 
@@ -200,10 +200,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestGreaterThan() {
-      this.interpreter.FloatStack.Push(10.2, 5.3);
-      this.interpreter.Run(new FloatGreaterThanExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.FloatStack.Push(10.2, 5.3);
+      interpreter.Run(new FloatGreaterThanExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -213,5 +213,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestGreaterThanWithInsufficientArguments() {
-      this.TestWithInsufficientArguments(">", 1);
+      TestWithInsufficientArguments(">", 1);
     }
 
@@ -221,10 +221,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestFromBooleanTrue() {
-      this.interpreter.BooleanStack.Push(true);
-      this.interpreter.Run(new FloatFromBooleanExpression());
-
-      Assert.AreEqual(1d, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.BooleanStack.Push(true);
+      interpreter.Run(new FloatFromBooleanExpression());
+
+      Assert.AreEqual(1d, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -234,10 +234,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestFromBooleanFalse() {
-      this.interpreter.BooleanStack.Push(false);
-      this.interpreter.Run(new FloatFromBooleanExpression());
-
-      Assert.AreEqual(0d, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.BooleanStack.Push(false);
+      interpreter.Run(new FloatFromBooleanExpression());
+
+      Assert.AreEqual(0d, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -247,5 +247,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestFromBooleanWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("FROMBOOLEAN");
+      TestWithInsufficientArguments("FROMBOOLEAN");
     }
 
@@ -255,10 +255,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestFromInteger() {
-      this.interpreter.IntegerStack.Push(5);
-      this.interpreter.Run(new FloatFromIntegerExpression());
-
-      Assert.AreEqual(5d, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.IntegerStack.Push(5);
+      interpreter.Run(new FloatFromIntegerExpression());
+
+      Assert.AreEqual(5d, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -268,5 +268,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestFromIntegerWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("FROMINTEGER");
+      TestWithInsufficientArguments("FROMINTEGER");
     }
 
@@ -276,10 +276,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestSine() {
-      this.interpreter.FloatStack.Push(Math.PI / 2);
-      this.interpreter.Run(new FloatSineExpression());
-
-      Assert.AreEqual(1, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(Math.PI / 2);
+      interpreter.Run(new FloatSineExpression());
+
+      Assert.AreEqual(1, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -289,5 +289,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestSineWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("SIN");
+      TestWithInsufficientArguments("SIN");
     }
 
@@ -297,10 +297,10 @@
     [TestCategory("FloatExpressionTest")]
     public void TestCosine() {
-      this.interpreter.FloatStack.Push(Math.PI);
-      this.interpreter.Run(new FloatCosineExpression());
-
-      Assert.AreEqual(-1, this.interpreter.FloatStack.Top, delta);
-
-      this.TestStackCounts(floatStack: 1);
+      interpreter.FloatStack.Push(Math.PI);
+      interpreter.Run(new FloatCosineExpression());
+
+      Assert.AreEqual(-1, interpreter.FloatStack.Top, delta);
+
+      TestStackCounts(floatStack: 1);
     }
 
@@ -310,5 +310,5 @@
     [TestCategory("FloatExpressionTest")]
     public void TestCosineWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("COS");
+      TestWithInsufficientArguments("COS");
     }
 
@@ -322,5 +322,5 @@
 
     protected override void CheckOtherStacksAreEmpty() {
-      this.TestStackCounts(floatStack: null);
+      TestStackCounts(floatStack: null);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/IntegerExpressionTests.cs	(revision 14908)
@@ -19,5 +19,5 @@
       get
       {
-        return this.interpreter.IntegerStack;
+        return interpreter.IntegerStack;
       }
     }
@@ -28,10 +28,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestAdd() {
-      this.interpreter.IntegerStack.Push(5, 5);
-      this.interpreter.Run(new IntegerAddExpression());
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(5, 5);
+      interpreter.Run(new IntegerAddExpression());
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -41,5 +41,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestAddWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("+", 1);
+      TestWithInsufficientArguments("+", 1);
     }
 
@@ -49,10 +49,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestSubtract() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerSubtractExpression());
-
-      Assert.AreEqual(5, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerSubtractExpression());
+
+      Assert.AreEqual(5, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -62,5 +62,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestSubtractWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("-", 1);
+      TestWithInsufficientArguments("-", 1);
     }
 
@@ -70,10 +70,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestMultiply() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerMultiplyExpression());
-
-      Assert.AreEqual(50, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerMultiplyExpression());
+
+      Assert.AreEqual(50, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -83,5 +83,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestMultiplyWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("*", 1);
+      TestWithInsufficientArguments("*", 1);
     }
 
@@ -91,10 +91,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestDivide() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerDivideExpression());
-
-      Assert.AreEqual(2, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerDivideExpression());
+
+      Assert.AreEqual(2, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -104,5 +104,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestDivideWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("/", 1);
+      TestWithInsufficientArguments("/", 1);
     }
 
@@ -112,10 +112,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestModulo() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerModuloExpression());
-
-      Assert.AreEqual(0, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerModuloExpression());
+
+      Assert.AreEqual(0, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -125,5 +125,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestModuloWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("%", 1);
+      TestWithInsufficientArguments("%", 1);
     }
 
@@ -133,10 +133,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestMin() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerMinExpression());
-
-      Assert.AreEqual(5, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerMinExpression());
+
+      Assert.AreEqual(5, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -146,5 +146,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestMinWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("MIN", 1);
+      TestWithInsufficientArguments("MIN", 1);
     }
 
@@ -154,10 +154,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestMax() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerMaxExpression());
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerMaxExpression());
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -167,5 +167,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestMaxWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("MAX", 1);
+      TestWithInsufficientArguments("MAX", 1);
     }
 
@@ -175,10 +175,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestSmallerThan() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerSmallerThanExpression());
-
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
-
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerSmallerThanExpression());
+
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
+
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -188,5 +188,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestSmallerThanWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("<", 1);
+      TestWithInsufficientArguments("<", 1);
     }
 
@@ -196,10 +196,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestGreaterThan() {
-      this.interpreter.IntegerStack.Push(10, 5);
-      this.interpreter.Run(new IntegerGreaterThanExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.IntegerStack.Push(10, 5);
+      interpreter.Run(new IntegerGreaterThanExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -209,5 +209,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestGreaterThanWithInsufficientArguments() {
-      this.TestWithInsufficientArguments(">", 1);
+      TestWithInsufficientArguments(">", 1);
     }
 
@@ -217,10 +217,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestFromBooleanTrue() {
-      this.interpreter.BooleanStack.Push(true);
-      this.interpreter.Run(new IntegerFromBooleanExpression());
-
-      Assert.AreEqual(1, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.BooleanStack.Push(true);
+      interpreter.Run(new IntegerFromBooleanExpression());
+
+      Assert.AreEqual(1, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -230,5 +230,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestFromBooleanWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("FROMBOOLEAN");
+      TestWithInsufficientArguments("FROMBOOLEAN");
     }
 
@@ -238,10 +238,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestFromBooleanFalse() {
-      this.interpreter.BooleanStack.Push(false);
-      this.interpreter.Run(new IntegerFromBooleanExpression());
-
-      Assert.AreEqual(0, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.BooleanStack.Push(false);
+      interpreter.Run(new IntegerFromBooleanExpression());
+
+      Assert.AreEqual(0, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -251,10 +251,10 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestFromFloat() {
-      this.interpreter.FloatStack.Push(1.5);
-      this.interpreter.Run(new IntegerFromFloatExpression());
-
-      Assert.AreEqual(1, this.interpreter.IntegerStack.Top);
-
-      this.TestStackCounts(integerStack: 1);
+      interpreter.FloatStack.Push(1.5);
+      interpreter.Run(new IntegerFromFloatExpression());
+
+      Assert.AreEqual(1, interpreter.IntegerStack.Top);
+
+      TestStackCounts(integerStack: 1);
     }
 
@@ -264,5 +264,5 @@
     [TestCategory("IntegerExpressionTest")]
     public void TestFromFloatWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("FROMFLOAT");
+      TestWithInsufficientArguments("FROMFLOAT");
     }
 
@@ -276,5 +276,5 @@
 
     protected override void CheckOtherStacksAreEmpty() {
-      this.TestStackCounts(integerStack: null);
+      TestStackCounts(integerStack: null);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/NameExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/NameExpressionTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/NameExpressionTests.cs	(revision 14908)
@@ -20,5 +20,5 @@
       get
       {
-        return this.interpreter.NameStack;
+        return interpreter.NameStack;
       }
     }
@@ -29,10 +29,10 @@
     [TestCategory("NameExpressionTest")]
     public void TestRand() {
-      this.interpreter.Configuration.ErcOptions.NameErcOptions.IsEnabled = true;
-      this.interpreter.Run(new NameRandExpression());
+      interpreter.Configuration.ErcOptions.NameErcOptions.IsEnabled = true;
+      interpreter.Run(new NameRandExpression());
 
-      Assert.IsTrue(this.interpreter.NameStack.Count == 1);
+      Assert.IsTrue(interpreter.NameStack.Count == 1);
 
-      this.CheckOtherStacksAreEmpty();
+      CheckOtherStacksAreEmpty();
     }
 
@@ -42,13 +42,13 @@
     [TestCategory("NameExpressionTest")]
     public void TestRandomBound() {
-      this.interpreter.CustomExpressions.Add("c1", new CodeNoopExpression());
-      this.interpreter.CustomExpressions.Add("c2", new CodeNoopExpression());
-      this.interpreter.CustomExpressions.Add("c3", new CodeNoopExpression());
+      interpreter.CustomExpressions.Add("c1", new CodeNoopExpression());
+      interpreter.CustomExpressions.Add("c2", new CodeNoopExpression());
+      interpreter.CustomExpressions.Add("c3", new CodeNoopExpression());
 
-      this.interpreter.Run(new NameRandBoundNameExpression());
+      interpreter.Run(new NameRandBoundNameExpression());
 
-      Assert.IsTrue(this.interpreter.CustomExpressions.Keys.Contains(this.interpreter.NameStack.Top));
+      Assert.IsTrue(interpreter.CustomExpressions.Keys.Contains(interpreter.NameStack.Top));
 
-      this.CheckOtherStacksAreEmpty();
+      CheckOtherStacksAreEmpty();
     }
 
@@ -58,5 +58,5 @@
     [TestCategory("NameExpressionTest")]
     public void TestRandomBoundWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("RANDBOUNDNAME");
+      TestWithInsufficientArguments("RANDBOUNDNAME");
     }
 
@@ -66,9 +66,9 @@
     [TestCategory("NameExpressionTest")]
     public void TestQuote() {
-      this.interpreter.Run(new NameQuoteExpression());
+      interpreter.Run(new NameQuoteExpression());
 
-      Assert.IsTrue(this.interpreter.IsNameQuoteFlagSet);
+      Assert.IsTrue(interpreter.IsNameQuoteFlagSet);
 
-      this.TestStackCounts();
+      TestStackCounts();
     }
 
@@ -83,5 +83,5 @@
 
     protected override void CheckOtherStacksAreEmpty() {
-      this.TestStackCounts(nameStack: null);
+      TestStackCounts(nameStack: null);
     }
   }
